=== modified file 'loggerhead/templates/annotate.pt'
--- loggerhead/templates/annotate.pt	2007-07-04 16:00:18 +0000
+++ loggerhead/templates/annotate.pt	2007-07-05 09:10:39 +0000
@@ -5,9 +5,9 @@
     <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
     <title>
       <tal:branch-name content="branch/friendly_name">
-        ${branch.friendly_name} 
+        ${branch.friendly_name}
       </tal:branch-name>
-      : contents of 
+      : contents of
       <tal:path content="path">
         ${path}
       </tal:path>
@@ -37,23 +37,27 @@
     <div class="links">
       <div>
         <b>&#8594;</b>
-        <a href="${branch.url([ '/files', revid ], **util.get_context(clear=1))}">
+        <a tal:attributes="href python:branch.url([ '/files', revid ], **util.get_context(clear=1))">
           browse files
         </a>
       </div>
       <div>
         <b>&#8594;</b>
-        <a href="${branch.url('/revision', **util.get_context(clear=1, start_revid=revid))}">
+        <a tal:attributes="href python:branch.url('/revision', **util.get_context(clear=1, start_revid=revid))">
           view revision
         </a>
       </div>
       <div>
         <b>&#8594;</b>
-        <a href="${branch.url('/changes', **util.get_context(clear=1, start_revid=revid, file_id=file_id))}"> view changes to this file </a>
+        <a tal:attributes="href python:branch.url('/changes', **util.get_context(clear=1, start_revid=revid, file_id=file_id))">
+          view changes to this file
+        </a>
       </div>
       <div>
         <b>&#8594;</b>
-        <a href="${branch.url([ '/download', revid, file_id, filename ])}"> download file </a>
+        <a tal:attributes="href python:branch.url([ '/download', revid, file_id, filename ])">
+          download file
+        </a>
       </div>
     </div>
 

=== modified file 'turbozpt/template.py'
--- turbozpt/template.py	2007-07-04 15:55:56 +0000
+++ turbozpt/template.py	2007-07-05 09:10:39 +0000
@@ -12,12 +12,9 @@
         self.base = base
         self.options = options
 
-    def __getattribute__(self, name):
-        # import pdb; pdb.set_trace()
-        if name.startswith('_'):
-            return super(Here, self).__getattribute__(name)
-        tpl = PageTemplate(os.path.join(self.__dict__['base'], name))
-        tpl.add_context(object.__getattribute__(self, 'options'))
+    def __getitem__(self, name):
+        tpl = PageTemplate(os.path.join(self.base, name))
+        tpl.add_context(self.options)
         return tpl
 
 class PageTemplate(pagetemplatefile.PageTemplateFile):

